package org.jeecg.modules.device.service;

import org.jeecg.modules.device.entity.BuDeviceRunTime;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 设备实际运行时间表
 * @Author: jeecg-boot
 * @Date:   2024-06-01
 * @Version: V1.0
 */
public interface IBuDeviceRunTimeService extends IService<BuDeviceRunTime> {

    public BuDeviceRunTime getByIdLimit(String deviceId);

    public String getSumPower(int year,int month);
    public String getSumPowerByType(int year,int month,String deviceType);
    public String getSumPowerByDevice(int year,int month,String deviceId);

    public String getSumTime(int year,int month,int day);
    public String getSumTimeByType(int year,int month,int day,String deviceType);
    public String getSumTimeByDevice(int year,int month,int day,String deviceId);
    String getPowerByTypeAndId(String date, String deviceType,String deviceId);
    String getSumTimeByTypeAndId(String date, String deviceType,String deviceId);
}
